import { copy } from '@f2/object';
import { getDoneError } from '@f2/defer';
export function getDoneErrorEvent(event) {
    const doneErrorResult = getDoneError();
    return {
        doneError: copy(doneErrorResult.doneError, event),
        promise: doneErrorResult.promise
    };
}
